%define	name	arkhart
%define	oname	ark
%define	version	0.1.4
%define	release	3mdk
%define	major	0
%define	lib_name_orig	lib%{oname}
%define	lib_name	%mklibname %{oname} %{major}
%define	Summary	A roleplaying game in an original world called Arkhart

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://arkhart.nekeme.net/
Source0:	http://arkhart.nekeme.net/download/releases/%{oname}-%{version}.tar.bz2
Source1:	http://arkhart.nekeme.net/download/releases/Arkhart-data-%{version}.tar.bz2
Source3:	%{name}.sh.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
License:	GPL
Group:		Games/Adventure
Summary:	%{Summary}
BuildRequires:	liblua4-devel XFree86-devel nas-devel SDL_mixer-devel oggvorbis-devel png-devel
BuildRequires:	zlib-devel smpeg-devel MesaGLU-devel jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
After a never-ending war which had begun because of the arrival
of the daphyrings (insect-like creatures) which some humans feared,
the planet sank bit by bit into a Middle-Age-like ignorance. From
the bits of a rich and united nation were born numerous empires
ever waging war between themselves. Humans having forgotten all
their knowledge use the seldom-found devices of the ancient
civilization such as magical artifacts, for they now know only how
to forge old-fashioned weapons such as swords, axes, bows... 

%package -n	%{lib_name}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Provides:	%{lib_name_orig}

%description -n	%{lib_name}
Libraries needed for %{name}

%package -n	%{lib_name}-devel
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
Development headers and libraries for %{name}

%package -n	%{lib_name}-static-devel
Summary:	Static  libraries for writing programs using %{oname}
Group:		Development/C++
Requires:	%{lib_name}-devel = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
Static libraries for %{name}

%prep
%setup -q -n %{oname}-%{version} -a1
for f in `find -type f -name \*~`
	do `echo rm -f $f`
done

%build
%configure	--bindir=%{_gamesbindir} \
		--with-pic \
		--with-gnu-ld \
		--disable-debug
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

#(peroyvind) move ark-config to %{_bindir} as this belongs to the devel package
%{__install} -d $RPM_BUILD_ROOT{%{_bindir},%{_gamesdatadir}}
%{__mv} $RPM_BUILD_ROOT%{_gamesbindir}/ark-config $RPM_BUILD_ROOT%{_bindir}
%{__cp} -a Arkhart-data-%{version} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

%{__bzip2} -dc %{SOURCE3} > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Adventure" \
		title="ArkHart"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/%{oname}-config

%post
%update_menus

%postun
%clean_menus

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS TODO
%lang(fr) %doc Docs/*.fr
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%dir %{_sysconfdir}/%{oname}
%config(noreplace) %{_sysconfdir}/%{oname}/arkfactories.cfg
%defattr(755,root,root,755)
%{_gamesbindir}/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/%{oname}/lib*.so.*
%{_libdir}/lib*.la
%{_libdir}/%{oname}/lib*.la

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc Docs/*.html Docs/*.dox
%{_bindir}/%{oname}-config
%multiarch %{multiarch_bindir}/%{oname}-config
%{_libdir}/lib*.so
%{_libdir}/%{oname}/lib*.so
%{_includedir}/Ark

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/%{oname}/lib*.a

%changelog
* Tue Feb 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.4-3mdk
- rebuild for new directfb

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.4-2mdk
- rebuild for new menu

* Mon Jul 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.4-1mdk
- 0.1.4 (since lenny reintroduced lua4:)
- don't bzip2 icons in src.rpm
- change summary macro to avoid conflicts if we were to build debug package
- fix buildrequires

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.1.3-2mdk
- changed from ~ to $HOME in wrapperscript for conf files (using ~ in stead
  of full path made game segfault)

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.1.3-1mdk
- initial mdk release
